# Page Elements

Pages support various element types. The primary elements have been adapted from [Vue-FormBuilder](https://icebob.gitbooks.io/vueformgenerator/content/fields/).

However, the BetterForms framework makes some deviations from the source code documentation as needed for implementation. This section covers differences and additions to the components. Many of BetterForms components are custom build and do not reply on external libraries.

To learn more about how pages are built, see the Getting started guide:

{% content-ref url="/pages/-LjJieGB7i3yp-q6PfcS" %}
[5. Create your first Page](/v1/getting-started/integration/5.-create-a-form.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.klai.studio/v1/reference/components-overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
